Subject: bug#15777: 24.3.50; cl symbols are no more fontlocked

From: Drew Adams <[email-masked]>
Date: Fri, 1 Nov 2013 12:33:17 -0700 (PDT)

> > What you are discouraging is maintaining external elisp libraries,
> > remember that many people are using emacs just because there is
> > external libraries.
> 
> We're only talking about the color given to symbols like defun*
> and loop.  It doesn't seem like that should discourage
> external libraries.

This is silly.  If such symbols are present then it helps users
to highlight them.

You don't want the symbols to be present.  Fine.  That's a
different issue.  Not font-locking them when they are present
does not help that aim.

It only hurts users, making their code less readable and so more
difficult to work with.  It does not help you or Emacs in any way.